Bug 1006451 - Command to install all cartidges fails
Command to install all cartidges fails
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
1.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bilhar
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 12:02 EDT by joherr
Modified: 2015-07-19 20:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 19:41:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joherr 2013-09-10 12:02:06 EDT
Description of problem:
The note in section "6.6.1 Installing Cartridges" indicates that all teh cartridges can be installed with a single command. This fails when installing the cron cartridge.

The text reads:
"You can run yum install openshift-origin-cartridge-* to install all of the available cartridges."


Two cron cartridges exist:
  openshift-origin-cartridge-cron.noarch
  openshift-origin-cartridge-cron-1.4

The openshift-origin-cartridge-cron-1.4 cartridge requires the openshift-origin-cartridge-abstract.  

The *abstract cartidge is not available in the rhel-x86_64-server-6-ose-1.2-node channel. It is available in the old rhel-x86_64-server-6-osop-1-node channel.
Comment 2 Brenton Leanhardt 2013-09-10 12:20:43 EDT
To add some background, the openshift-origin-cartridge-cron-1.4 cartridge shipped in the 1.2 channels to work around a bug in the previous version of the cartridge that blocked the 1.2 upgrade.  If it's not too much trouble I would simply enumerate the list of packages to install.  That way customer can pick and choose the ones they want.
Comment 3 joherr 2013-09-10 12:42:33 EDT
The documentation does list the individual packages as well. However, it does not list that there are two cron cartridges. Maybe the note that everything can be installed could just be removed.

I also suggest another note be added to mention the two versions of the cron cartridge and maybe point to a kbase article as to why there are two.
Comment 4 Brenton Leanhardt 2013-09-10 12:45:05 EDT
The KBase article is a great idea.  I can handle that.  I'll update this BZ with a link that the Docs team can incorporate into the install guide if they wish.
Comment 5 Brenton Leanhardt 2013-09-11 10:34:38 EDT
I just created https://access.redhat.com/site/articles/479923.  Alex, feel free to include it when the docs are updated.
Comment 6 Bilhar 2013-09-27 01:45:44 EDT
How about the Important admonition about it being mandatory to install the openshift-origin-cartridge-cron package in Section 6.6.1 for Add-on cartridges? Is this still required? Considering the two Cron packages that are available in the description above, which package does this command install that we have in the Important admonition? Is that still relevant, or should it be clarified more?
Comment 7 Brenton Leanhardt 2013-09-27 14:06:02 EDT
The paragraph beginning "It is mandatory that you install the openshift-origin-cartridge-cron package" can be removed.

Note You need to log in before you can comment on or make changes to this bug.